{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FSPE_ABREVIATION; 
            externalType = VARCHAR2; 
            name = fspeAbreviation; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = FSPE_CODE; 
            externalType = VARCHAR2; 
            name = fspeCode; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            columnName = FSPE_LIBELLE; 
            externalType = VARCHAR2; 
            name = fspeLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = FSPE_VALIDITE; 
            externalType = VARCHAR2; 
            name = fspeValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (fspeCode); 
    className = EOGenericRecord; 
    classProperties = (fspeCode, fspeLibelle, fspeAbreviation, fspeValidite); 
    externalName = SCOL_FORMATION_SPECIALITE; 
    fetchSpecificationDictionary = {}; 
    name = ScolFormationSpecialite; 
    primaryKeyAttributes = (fspeCode); 
}
